/* Leaflet geonames */

.leaflet-top.leaflet-center {
  left: 10px;
  right: 10px;
}

.leaflet-geonames-search {
  max-width: 300px;
  box-sizing: border-box;
  border: 0px !important;
}

.leaflet-geonames-search.active {
  width: 100%;
}

.section-map .leaflet-control-container .leaflet-geonames-search a:hover {
  background-color: #9d0037;
}

.section-map .leaflet-control-container .leaflet-geonames-search a {
  background-color: rgba(255, 255, 255, 1);
  font-size: 1.8em;
  width: 1.8em;
  height: 1.8em;
  line-height: 1.8em;
}

.leaflet-geonames-search form {
  background: rgba(255, 255, 255, 1);
  width: 100%;
  margin-bottom: 5px;
}

.leaflet-geonames-search ul.hasResults,
.leaflet-geonames-search ul.noResults {
  margin-top: -5px;
  background: white;
}
.leaflet-geonames-search ul.hasResults li,
.leaflet-geonames-search ul.noResults li {
  cursor: pointer;
}
.leaflet-geonames-search ul.hasResults li:hover {
  background: #f2f2f2;
}

.leaflet-geonames-search input,
.leaflet-geonames-search input:focus {
  display: inline;
  border: 0.5px solid #9d0037;
  position: absolute;
  left: 45px;
  padding: 6px;
  margin: 0;
  display: none;
  width: 200px;
  height: 40px;
  top: 0px;
  box-sizing: border-box;
  -ms-box-sizing: border-box;
  outline-style: none;
}

.leaflet-geonames-search ul {
  background-color: white;
  position: absolute;
  top: 45px;
  left: 45px;
  width: 200px;
  display: none;
  list-style: none;
  margin-left: 40px;
  padding: 0;
  margin: 0;
  clear: both;
}

.leaflet-geonames-search ul li {
  padding: 4px 8px;
  border-left: 0.5px solid #9d0037;
  border-right: 0.5px solid #9d0037;
  border-bottom: 0.5px solid #9d0037;
  border-top: 0.5px solid #999 !important;
  font-family: "Arial" !important;
  font-size: 14px !important;
}

.leaflet-geonames-search ul li em {
  color: #999;
}

.leaflet-geonames-search.active input,
.leaflet-geonames-search.active label {
  display: inline-block;
}

.leaflet-geonames-search ul.hasResults,
.leaflet-geonames-search ul.noResults {
  display: block;
}

.leaflet-geonames-search ul.noResults {
  color: #999;
  font-style: italic;
}

.leaflet-geonames-icon {
  background-size: cover !important;
  background: transparent no-repeat center center;
}

.leaflet-geonames-icon-working {
  /*src: https://design.google.com/icons/#ic_autorenew*/
  background-image: url(./../images/pro/geonames/waiting.png);
  animation: spin 2s infinite linear;
}

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg);
  }
}

@keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(359deg);
    transform: rotate(359deg);
  }
}
